apiVersion: apps/v1
kind: Deployment
metadata:
  name: hr-web-deployment
  namespace: ingress-nginx
spec:
  replicas: 1
  selector:
    matchLabels:
      app: hr-web-app
  template:
    metadata:
      labels:
        app: hr-web-app
    spec:
      containers:
        - name: hr-web-container
          image: mwageeeh/4sharks-hr-web:latest
          ports:
            - containerPort: 80
          volumeMounts:
            - name: config-nginx-volume
              mountPath: /etc/nginx/conf.d
          # envFrom:
          # - configMapRef:
          #     name: sales-web-config
      volumes:
        - name: config-nginx-volume
          configMap:
            name: hr-nginx-config
